ReferenceProduct
Get a product barcode
Returns one barcode of the product. 404 when `barcodeId` does not belong to `productId`. Requires `Permissions.Product.View`.
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
productId*integerFormat
int32barcodeId*integerFormat
int32application/json- response
A barcode identifying a product, optionally down to one variant.
allowedWarehouseId?|Format
int32barcode?|Length
length <= 50batchId?|Format
int32colorId?|Format
int32createdAt?|Format
date-timedimensionId?|Format
int32discountBillCustomerId?|Format
int32discountBillLimit?|Format
decimaldiscountBillPercentage?|Format
decimalean128?boolean|nullean13?boolean|nullean39?boolean|nullexpirationDate?|Format
date-timefinancialPromotionId?|Format
int32forSaleOnlyInStock?boolean|nullguid?|Format
guidid?|Format
int32isInvalid?boolean|nullisMain?boolean|nullisNotPrintable?boolean|nullisWeight?boolean|nulllastModify?|Format
date-timelengthId?|Format
int32originalQuantity?|Format
decimalpersonalization?|Format
int32price?|Format
decimalpriceCoefficient?|Format
decimalproductId?|Format
int32quantity?|Format
decimalquantityCoefficient?|Format
decimalsizeId?|Format
int32unitId?|Format
int32usedAt?|Format
int32usedWarehouseId?|Format
int32userId?|Format
int32validFrom?|Format
date-timevalidTo?|Format
date-timevariantId?|Format
int32curl -X GET 'https://<your-instance>/api/products/0/barcodes/0' \ -H 'Authorization: Bearer <access-token>'{ "allowedWarehouseId": 0, "barcode": "string", "batchId": 0, "colorId": 0, "createdAt": "2019-08-24T14:15:22Z", "dimensionId": 0, "discountBillCustomerId": 0, "discountBillLimit": 0, "discountBillPercentage": 0, "ean128": true, "ean13": true, "ean39": true, "expirationDate": "2019-08-24T14:15:22Z", "financialPromotionId": 0, "forSaleOnlyInStock": true, "guid": "string", "id": 0, "isInvalid": true, "isMain": true, "isNotPrintable": true, "isWeight": true, "lastModify": "2019-08-24T14:15:22Z", "lengthId": 0, "originalQuantity": 0, "personalization": 0, "price": 0, "priceCoefficient": 0, "productId": 0, "quantity": 0, "quantityCoefficient": 0, "sizeId": 0, "unitId": 0, "usedAt": 0, "usedWarehouseId": 0, "userId": 0, "validFrom": "2019-08-24T14:15:22Z", "validTo": "2019-08-24T14:15:22Z", "variantId": 0}